*
{
   margin:0;
   padding: 0;
   box-sizing: border-box;
}


.jumbotron
{
  background-image: url("../images/bg-1.jpg");
}
/*--------------------- FOR HOVER HIGHLIGHTS-------------------*/
.nav-link {
 
 justify-content: center;

}

.nav-item {

	display: inline;

    
}
.nav-item {
	display: inline;

}

.nav-item a{
	color: #dedede;
  
}




.nav-item, .nav-link {
   position: relative;
   padding: 15px 30px;
   display: inline-block;
   color: #2196f3;
   text-transform: uppercase;
   letter-spacing: 4px;
   text-decoration:none;
   font-size: 24px;
   overflow: hidden;
    transition: 0.5s;
   font-family: 'Open Sans Condensed', sans-serif;
}

.nav-link:hover {
	color: #255784;
	background: #2196f3;
	box-shadow: 0 0 10px #2196f3, 0 0 40px #2196f3, 0 0 10px #2196f3;
}


/*---------------------------FOR HOVER BUTTONS----------------------*/




/*------------------------------------HOVER CARD HOMEPAGE----------------------------*/

h1
{
  color: #fff;
}
.lead
{
  color: #fff;
}

#courseName
{
  color: #fff;
}
.secondary
{
  color: #fff;
}



/*--------------------------FONTS------------------------*/
.container
{
    max-width: 1000px;
    position: relative;
    justify-content: center;
    flex-wrap: wrap;
    transition: 0.5s;
            
}

.container:hover .card
{
    filter: blur(5px);
    transform: scale(.7);
}
.container .card
{
    position: relative;
    width: 250px;
    height: 300px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;

   
}
.container .card:hover
{
    filter: blur(0px);
    transform: scale(1);
}
.container .card:before
{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: #fff;
    z-index: 1;
    transition: 0.5s;
}
.container .card:hover:before
{
    background: #355C7D;
    transform: scaleY(1.15);
    box-shadow: 0 5px 15px rgba(0,0,0,.2);
}
.container .card:after
{
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    transition: 0.5s;
    background: rgba(255,255,255,.1);
    z-index: 1;
}
.container .card:hover:after
{
    transform: scaleY(1.15);
}
.container .card:hover
{
    z-index: 1;
}
.container .card .card-body
{
    text-align: center;
    z-index: 2;
    padding: 0 20px;
    transition: 0.5s;
}
.container .card:hover .card-body
{
    color: #fff;
}
.container .card .card-body .card-title
{
    color:#45ADA8;
    font-size: 2em;
}

.container .card .card-body:hover .card-title
{
    color:#fff ;
    font-size: 2em;
}
.container .card .card-body card-text
{
    font-size: 0.9em;

}


*/



/*------------------CARD HOVER 2-----------*/


.container
{
   position:relative;
   display: flex;
   justify-content: center;
   alignitems: center;
   max-width: 1200px;
   flex-wrap: wrap;
   z-index: 1;
}


.container .card
{
   position:relative;
   width: 280px;
   height: 400px;
   margin: 30px;
   box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
   border-radius: 15px;
   background: rgba(255, 255, 255, 0.1);
   overflow: hidden;
   display: flex;
   justify-content: center;
   align-items: center;
   border-top: 1px solid rgba(255, 255, 255, 0.5);
   border-left: 1px solid rgba(255, 255, 255, 0.5);
   backdrop-filter: blur(5px);
}

/*
.container .card .card-body
{
   padding: 20px;
   text-align: center;
   transform: translateY(100px);
   opacity: 0;
   transition: 0.5s;
}


.container .card:hover .card-body
{
     transform: translateY(0px);
     opacity: 1;
}



.container .card .card-body .card-title
{
   position: absolute;
   top: -20px;
   right: 30px;
   font-size: 8em;
   color: rgba(255, 255, 255, 0.05);
   pointer-events: none;
}

.container .card .card-body .card-title
{
   font-size: 1.8em;
   color: #fff;
   z-index: 1;
}


.container .card .card-body .card-text
{
   font-size: 1em;
   color: #fff;
   font-weight: 300;
}

.container .card .card-body .card-text
{
   position: relative;
   display: inline-block;
   padding: 8px 20px;
   margin-top: 15px;
   background: #fff;
   color: #000;
   border-radius: 20px;
   text-decoration: none;
   font-weight: 500;
   box-shadow: 0 5px 15px rgba(0,0,0, 0.2);
}




*/
/*-------------------------HOVER CARD FOR ADMIN---------------------*/


.card2 .btn
{
   position:relative;
   display: flex;
   justify-content: center;
   align-items: center;
   max-width: 1200px;
   flex: wrap;
   z-index: 1;
   border-radius: 20px;
   background: #34495E;


}




.card2 .card-body2 
{
   position:relative;
   width: 280px;
   height: 400px;
   margin: 30px;
   box-shadow: 20px 20px 50px rgba(0, 0, 0, 0.5);
   border-radius: 15px;
   background: rgba(255, 255, 255, 0.1);
   overflow: hidden;

   justify-content: center;
   align-items: center;
   border-top: 1px solid rgba(255, 255, 255, 0.5);
   border-left: 1px solid rgba(255, 255, 255, 0.5);
   backdrop-filter: blur(5px);
}



.card2 :before
{
   content: '';
   top: -2px;
   left: -2px;
   right: -2px;
   bottom: -2px;
   background: #fff;
   z-index: -1;
}

.card2:after
{
   content: '';
   position: absolute;
   top: -2px;
   left: -2px;
   right: -2px;
   bottom: -2px;
   background: #fff;
   z-index: -2;
   filter: blur(40px);
}

.card2:before,
.card2:after
{
   background: linear-gradient(235deg,#89ff00,#060c21,#00bcd4);
}

/*--------------Fonts for courses.js---------*/
.card-text2
{
   justify-content: center;
   margin-top: 40px;
   display: flex;
   box-sizing: border-box;
   color: #fff;
}

 .card-title3
{
   margin-left: 100px;
   position: absolute;
   color: #89ff00;
   text-decoration: underline;
}

.card-isActive
{
   font-size: 20px;
   margin-top: 50px;
   margin-left: 85px;
   color: #89ff00;
}


.card-text3
{
   justify-content: center;
   margin-top: 40px;
   display: flex;
   color: #89ff00;

}
/*------Fonts for Profile.js-------------*/


.card-text4
{
   justify-content: center;
   margin-top: 40px;
   display: flex;
   color: #fff;
}

.card-title4
{
  justify-content: center;
  margin-left: 80px;
  color: #89ff00;
  font-size: auto;
  text-decoration: underline;

}

/*----------button for nonAdmin---------*/
.nonAdminButton
{
   margin-top: 100px;
}

a
{
 color: black;
}



/*------------toggle button admin--------------------*/

/*

input[type="checkbox"]
{
  position:relative;
  width: 120px;
  height: 40px;
  -webkit-appearance: none;
  background: linear-gradient(0deg, #333 ,#000);
  outline: none;
  border-radius: 20px;
  box-shadow: 0 0 0 4px #353535, 0 0 0 5px #3e3e3e, 
  inset 0 0 10px rgba(0,0,0,1), 0 5px 20px rgba(0,0,0,.5), inset 0 0 15px rgba(0,0,0,.2);
}
input:checked[type="checkbox"]
{
  background: linear-gradient(0deg, #6dd1ff, #20b7ff);
  box-shadow: 0 0 2px #6dd1ff,0 0 0 4px #353535, 0 0 0 5px #3e3e3e, 
  inset 0 0 10px rgba(0,0,0,1), 0 5px 20px rgba(0,0,0,.5),
   inset 0 0 15px rgba(0,0,0,.2);
}

input[type="checkbox"]:before
{
  content: '';
  position: absolute;
  top: calc(50% -2px);
  left: 65px;
  width: 4px;
  height: 4px;
  background: linear-gradient(0deg, #6b6b6b, #000);
  border-radius: 50%;
  transition: .5s;
}
input:checked[type="checkbox"]:before
{
  bacground: #63cdff;
  left: 105px;
  box-shadow: 0 0 5px #13b3ff, 0 0 15px #13b3ff;
}
*/